var random = {}
var newAgent = ''

function setup() {
    random.agent = false
    random.screen = false
    random.zone = false
    random.plugin = false
    random.nav = false
    console.log('randomAgent: ' + random.agent)
    console.log('randomScreen: ' + random.screen)
    console.log('randomZone: ' + random.zone)
    console.log('randomPlugin: ' + random.plugin)
    console.log('randomNav: ' + random.nav)
}

function allRandom() {
    random.agent = true
    random.screen = true
    random.zone = true
    random.plugin = true
    random.nav = true
}

function noRandom() {
    random.agent = false;
    random.screen = false;
    random.zone = false;
    random.plugin = false;
    random.nav = false;
}

// listening for an event / one-time requests
// coming from the popup
chrome.extension.onMessage.addListener(function(request, sender, sendResponse) {
    switch(request.type) {
        case "reset":
            setup()
            break;
        case "random":
            allRandom()
            break;
        case "norandom":
            noRandom()
            break;
        case "randomAgent":
            random.agent = !random.agent;
            console.log('randomAgent: ' + random.agent)
            break;
        case "randomScreen":
            random.screen = !random.screen;
            console.log('randomScreen: ' + random.screen)
            break;
        case "randomZone":
            random.zone = !random.zone;
            console.log('randomZone: ' + random.zone)
            break;
        case "randomPlugin":
            random.plugin = !random.plugin;
            console.log('randomPlugin: ' + random.plugin)
            break;
        case "randomNav":
            random.nav = !random.nav;
            console.log('randomNav: ' + random.nav)
            break;
        case "agent":
            //newAgent = request.value
            console.log('newAgent received')
    }
    return true;
});

chrome.runtime.onMessage.addListener(function(request, sender, sendResponse) {
    switch(request.type){
        case "agent":
            newAgent = request.value
            console.log('newagent received')
    }
})

chrome.webRequest.onBeforeSendHeaders.addListener(function(details) {
        headers = details.requestHeaders;
        rHeaders = []
        for (var i = 0; i < headers.length; i++) {
            header = headers[i]
            if (random.agent) {
                switch (header.name) {
                case 'User-Agent':
                    if (newAgent) {
                        header.value = newAgent
                    }
                }
            }
        }
        var return_headers = {
            requestHeaders: headers
        }
        return return_headers
    }, { urls: ['http://*/*', 'https://*/*'] }, ["requestHeaders", "blocking"]
);

chrome.tabs.onUpdated.addListener( function(info) {   
    chrome.storage.local.get('userAgent', function(items) {
        newAgent = items.userAgent;
    });
	chrome.tabs.executeScript(info.tabId, { code: "var random=" + JSON.stringify(random) }, function() {
        chrome.tabs.executeScript(info.tabId, { file: 'content.js'}, function() {});
    });
});




