// options.js

window.onload = function() {

	document.getElementById("current_user_agent").innerHTML = navigator.userAgent; 
	document.getElementById("current_screen_resolution").innerHTML = screen.width + "x" + screen.height;
	document.getElementById("current_time_zone").innerHTML = (new Date()).getTimezoneOffset();
	
    loadUserData()
    document.getElementById("save").onclick = function () {
        saveUserData()
    }
    document.getElementById("revert").onclick = function () {
        chrome.extension.sendMessage({
            type: "reset"
        });
        checkboxes = document.getElementsByClassName('check');
        for (var i = 0; i < checkboxes.length; i++) {
            checkboxes[i].checked = false;
        }
        saveUserData();
    }
    document.getElementById("random").onchange = function() {
        checks = document.getElementsByClassName('check')
        if(document.getElementById("random").checked) {
            chrome.extension.sendMessage({
                type: "random"
            });
            for (var i = 0; i < checks.length; i++){
                checks[i].checked = true
                checks[i].disabled = true
                document.getElementById('random').disabled = false
            }
        }
        else {
            chrome.extension.sendMessage({
                type: "norandom"
            });
            for (var i = 0; i < checks.length; i++){
                checks[i].checked = false
                checks[i].disabled = false
            }
        }
    }

    document.getElementById("randomAgent").onchange = function() {
        chrome.extension.sendMessage({
                type: "randomAgent"
        });
    }

    document.getElementById("randomScreen").onchange = function() {
        chrome.extension.sendMessage({
                type: "randomScreen"
        });
    }

    document.getElementById("randomZone").onchange = function() {
        chrome.extension.sendMessage({
                type: "randomZone"
        });
    }

    document.getElementById("randomPlugin").onchange = function() {
        chrome.extension.sendMessage({
                type: "randomPlugin"
        });
    }

    document.getElementById("randomNav").onchange = function() {
        chrome.extension.sendMessage({
                type: "randomNav"
        });
    }
}

function saveUserData() {
    randomUserAgent = document.getElementById("randomAgent").checked;
    chrome.storage.local.set({ 'randomUserAgent': randomUserAgent });
    console.log("randomUserAgent = " + randomUserAgent);

    randomScreen = document.getElementById("randomScreen").checked;
    chrome.storage.local.set({ 'randomScreen': randomScreen });
    console.log("randomScreen = " + randomScreen)

    randomZone = document.getElementById("randomZone").checked;
    chrome.storage.local.set({ 'randomZone': randomZone });
    console.log("randomZone = " + randomZone)

    randomPlugin = document.getElementById("randomPlugin").checked;
    chrome.storage.local.set({ 'randomPlugin': randomPlugin });
    console.log("randomPlugin = " + randomPlugin)

    randomNav = document.getElementById("randomNav").checked;
    chrome.storage.local.set({ 'randomNav': randomNav });
    console.log("randomNav = " + randomNav)

    randomAll = document.getElementById("random").checked;
    chrome.storage.local.set({ 'randomAll': randomAll });
    console.log("randomAll = " + randomAll)
}

function loadUserData() {
    chrome.storage.local.get('randomUserAgent', function(items) {
        agent = items.randomUserAgent;
        if (agent) {
            document.getElementById("randomAgent").checked = true;
            chrome.extension.sendMessage({
                type: "randomAgent"
            });
        }
    });
    chrome.storage.local.get('randomScreen', function(items) {
        screen = items.randomScreen;
        if (screen) {
            document.getElementById("randomScreen").checked = true;
            chrome.extension.sendMessage({
                type: "randomScreen"
            });
        }
    });
    chrome.storage.local.get('randomZone', function(items) {
        zone = items.randomZone;
        if (zone) {
            document.getElementById("randomZone").checked = true;
            chrome.extension.sendMessage({
                type: "randomZone"
            });
        }
    });
    chrome.storage.local.get('randomPlugin', function(items) {
        plugin = items.randomPlugin;
        if (plugin) {
            document.getElementById("randomPlugin").checked = true;
            chrome.extension.sendMessage({
                type: "randomPlugin"
            });
        }
    });
    chrome.storage.local.get('randomNav', function(items) {
        nav = items.randomNav;
        if (nav) {
            document.getElementById("randomNav").checked = true;
            chrome.extension.sendMessage({
                type: "randomNav"
            });
        }
    });
    chrome.storage.local.get('randomAll', function(items) {
        all = items.randomAll;
        if (all) {
            document.getElementById("random").checked = true;
        }
    });

}